#! /bin/zsh

# SPDX-FileCopyrightText: 2023 Tobias Schmidl
#
# SPDX-License-Identifier: GPL-3.0-or-later

# shellcheck disable=all

alias eza='eza -Hhg@ --git --binary --time-style long-iso'
alias ezal='eza -l'
function ezat() {
    [[ "$1" != <-> ]] && { echo "Usage: ezat <depth> [path]"; exit 1 };
    depth="$1";
    shift;
    ezal -T -L $depth $@;
}

alias e='eza -l'
alias ea='eza -la'
alias eg='eza -Gl'
alias et='ezat'
